MockitoSerializationIssue
Date: 2015-09-18

org.mockito.exceptions.base

## Class MockitoSerializationIssue

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.ObjectStreamException
        - - org.mockito.exceptions.base.MockitoSerializationIssue

- All Implemented Interfaces:
    java.io.Serializable

      public class MockitoSerializationIssue
      extends java.io.ObjectStreamException

  Raised by mockito to emit an error either due to Mockito, or due to the User.

  The stack trace is filtered from mockito calls if you are using `getStackTrace()`. For debugging purpose though you can still access the full stacktrace using `getUnfilteredStackTrace()`. However note that other calls related to the stackTrace will refer to the filter stacktrace.

  Since:
    1.10.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockitoSerializationIssue(java.lang.String message, java.lang.Exception cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.StackTraceElement[]` | `getStackTrace()`
    `java.lang.StackTraceElement[]` | `getUnfilteredStackTrace()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MockitoSerializationIssue

          public MockitoSerializationIssue(java.lang.String message,
                                   java.lang.Exception cause)

  - ### Method Detail

    - #### getStackTrace

          public java.lang.StackTraceElement[] getStackTrace()

      Overrides:
        `getStackTrace` in class `java.lang.Throwable`

    - #### getUnfilteredStackTrace

          public java.lang.StackTraceElement[] getUnfilteredStackTrace()